
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jquery 注意事项与常用语法小结_jquery / iVAN</title>

    <meta name="description" content="jquery 注意事项与常用语法小结_jquery 1.关于选择器中含有特殊符号 选择器中含有&quot;.&quot;,&quot;#&quot;,&quot;(&quot;,&quot;]&quot;等特殊字符,根据W3C的规定,属性值中是不能含有这些特殊字符的,例如: 复制代码 代码如下: &lt;div id=&quot;id#b&quot;&gt;bb&lt;/div&gt; &lt;div id=&quot;id[1]&quot;&gt;&lt;/div&gt; 如果按照普通的方式来获取,例如: 复制代码 代码如下: $(&quot; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jquery 注意事项与常用语法小结_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1、关于选择器中含有特殊符号 <br /></strong>选择器中含有"."，"#"，"("，"]"等特殊字符，根据W3C的规定，属性值中是不能含有这些特殊字符的，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;div id="id#b"&gt;bb&lt;/div&gt; <br />&lt;div id="id[1]"&gt;&lt;/div&gt;</p>
<p>如果按照普通的方式来获取，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("#id#b"); <br />$("#id[1]");</p>
<p>以上代码不能正确获取到元素，正确的写法如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("#id\\#b"); <br />$("#id\\[1\\]");</p>
<p><strong>2、关于选择器中含有空格的</strong> <br />看下面这个例子，它的HTML代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;div class="test"&gt; <br />&lt;div style="display:none;"&gt;aa&lt;/div&gt; <br />&lt;div style="display:none;"&gt;bb&lt;/div&gt; <br />&lt;div style="display:none;"&gt;cc&lt;/div&gt; <br />&lt;div class="test" style="display:none;"&gt;dd&lt;/div&gt; <br />&lt;/div&gt; <br />&lt;div class="test" style="display:none;"&gt;ee&lt;/div&gt; <br />&lt;div class="test" style="display:none;"&gt;ff&lt;/div&gt;</p>
<p>使用jquery选择器分别获取它们：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>alert($(".test :hidden").length);//输出4 <br />alert($(".test:hidden").length);//输出3</p>
<p>之所以会出现不同的结果，是因为后代选择器与过滤选择器的不同。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(".test :hidden").length;//带空格的</p>
<p>以上代码是选取class为"test"的元素里面的隐藏元素。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(".test:hidden").length;//不带空格的</p>
<p>而上面的代码则是选取隐藏的class为"test"的元素。 <br /><strong>3、关于val()方法</strong> <br />在jquery中，val()方法是从最后一个选项往前读取，如果选项的value或者text中任意一项符合就会被选中，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;option value="1号"&gt;2号&lt;/option&gt; <br />&lt;option value="2号"&gt;1号&lt;/option&gt;</p>
<p>无论使用val("1号")还是val("2号")，都会选中后面的那个option <br /><strong>4、关于css()方法 <br /></strong>如果参数值是数字，将会被自动转换为像素值；如果属性中带有"-"符号，例如font-size、background-color等属性，如果在设置这些属性的值的时候不带引号，那么就要用驼峰式写法，例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("p").css({fontSize:"30px", backgroundColor:"#888888"});</p>
<p>如果带上了引号，既可以写成"font-size"，也可以写成"fontSize"，建议大家加上引号，养成良好的习惯。 <br /><strong>5、关于height()方法 <br /></strong>(1)、在jQuery1.2版本以后的height()方法可以用来获取window和document的高度。 <br />(2)、用css()方法获取高度值与height()方法的区别是： css()方法获取的高度值与样式的设置有关，可能会得到"auto"，也可能得到"10px"之类的字符串；而height()方法获取的高度值则是元素在页面中的实际高度，与样式的设置无关，并且不带单位。 <br /><strong>6、关于事件对象(event)的属性</strong> <br />jQuery对事件对象的常用属性进行了封装，使得事件处理在各大浏览器下都可以正常运行而不需要进行浏览器类型判断。 <br />(1)、event.type()方法 <br />该方法的作用是可以获取到事件的类型。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("a").click(function(event) { <br />alert(event.type);//获取事件类型 <br />return false;//阻止链接跳转 <br />});</p>
<p>以上代码运行后会返回"click"。 <br />(2)、event.preventDefault()方法 <br />该方法的作用是阻止默认的事件行为。javascript中符合W3C规范的preventDefault()方法在IE浏览器中无效，jQuery对其进行了封装，使其能兼容各种浏览器。 <br />(3)、event.stopPropagation()方法 <br />该方法的作用是阻止事件冒泡。javascript中符合W3C规范的stopPropagation()方法在IE浏览器中无效，jQuery对其进行了封装，使其能兼容各种浏览器。 <br />(4)、event.target()方法 <br />该方法的作用是获取到触发事件的元素。jQuery对其封装后，避免了不同浏览器的差异。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("a[href=http://baidu.com]").click(function(event) { <br />alert(event.target.href);//获取触发事件的&lt;a&gt;元素的href属性值 <br />return false; <br />});</p>
<p>以上代码运行后返回"http://baidu.com"。 <br />(5)、event.relatedTarget()方法 <br />在标准DOM中，mouseover和mouseout所发生的元素可以通过event.target()方法来访问，相关元素是通过event.relatedTarget()方法来访问的。event.relatedTarget()方法在mouseover中相当于IE浏览器的event.fromElement()方法，在mouseout中相当于IE浏览器的event.toElement()方法，jQuery对其进行了封装，使之能兼容各种浏览器。 <br />(6)、event.pageX()方法 / event.pageY()方法 <br />该方法的作用是获取到光标相对于页面的x坐标和y坐标。如果没有使用jquery时，那么IE浏览器中是用event.x()/event.y()方法，在firefox浏览器中是用event.pageX()/event.pageY()方法。如果页面上有滚动条，则还要加上滚动条的高度和宽度。在IE浏览器中还应该减去默认的2px的边框。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("a").click(function(event) { <br />alert("Current mouse position: "+event.pageX+", "+event.pageY);//获取鼠标当前相对于页面的坐标 <br />return false; <br />});</p>
<p><strong>(7)、event.which()方法 <br /></strong>该方法的作用是在鼠标单击事件中获取到鼠标的左、中、右键；在键盘事件中获取键盘的按键。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(function() { <br />$("body").mousedown(function(e) { <br />alert(e.which);//1=鼠标左键 left; 2=鼠标中键; 3=鼠标右键 <br />}); <br />});</p>
<p><strong>(8)、event.metaKey()方法 <br /></strong>针对不同浏览器对键盘中的&lt;ctrl&gt;按键解释不同，jquery也进行了封装，并规定event.metaKey()方法为键盘事件中获取&lt;ctrl&gt;按键。 <br />(9)、event.originalEvent()方法 <br />该方法的作用是指向原始的事件对象。 <br /><strong>7、关于bind()方法</strong> <br />(1)、绑定多个事件类型</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(function() { <br />$("div").bind("mouseover mouseout", function() { <br />$(this).toggleClass("over"); <br />}); <br />});</p>
<p>(2)、添加事件命名空间</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(function() { <br />$("div").bind("click.plugin", function() { <br />$("body").append("&lt;p&gt;click&lt;/p&gt;"); <br />}); <br />$("div").bind("mouseover.plugin", function() { <br />$("body").append("&lt;p&gt;mouseover&lt;/p&gt;"); <br />}); <br />$("div").bind("dblclick", function() { <br />$("body").append("&lt;p&gt;dblclick&lt;/p&gt;"); <br />}); <br />$("button").click(function() { <br />$("div").unbind(".plugin"); <br />}); <br />});</p>
<p>在所绑定的事件类型后面添加命名空间，这样在删除事件时只需要指定命名空间即可。单击&lt;button&gt;元素后，"plugin"的命名空间被删除，而不在"plugin"的命名空间的"dblclick"事件依然存在。 <br />(3)、相同事件名称、不同命名空间执行方法</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(function() { <br />$("div").bind("click", function() { <br />$("body").append("&lt;p&gt;click&lt;/p&gt;"); <br />}); <br />$("div").bind("click.plugin", function() { <br />$("body").append("&lt;p&gt;click.plugin&lt;/p&gt;"); <br />}); <br />$("button").click(function() { <br />$("div").trigger("click!");//注意click后面的感叹号 <br />}); <br />});</p>
<p>当单击&lt;div&gt;元素后，会同时触发click事件和click.plugin事件。如果只是单击&lt;button&gt;元素，则只触发click事件，而不触发click.plugin事件。注意，trigger("click!")后面的感叹号的作用是匹配所有不包含在命名空间中的click方法。如果需要两者都触发，只需要去掉感叹号即可。 <br /><strong>8、关于jQuery中的动画</strong> <br />(1)、用jQuery做动画效果要求要在标准模式下，否则可能会引起动画抖动。标准模式即要求文件头部包含如下的DTD定义： <br />&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; <br />(2)、jQuery中的任何动画效果，都可以指定3种速度参数，即"slow"、"normal"、"fast"(时间长度分别是0.6秒、0.4秒和0.2秒)。当使用速度关键字时要加引号，例如show("slow")，如果用数字作为时间参数时就不需要加引号，例如show(1000)。 <br />(3)、在使用animate()方法使元素动起来之前，为了能影响该元素的"top"、"left"、"buttom"、"right"样式属性，必须先把元素的position样式设置为"relative"或者"absolute"。 <br /><strong>9、关于load()方法 <br /></strong>此方法通常用来从web服务器上获取静态的数据文件。 <br />(1)、用load()筛选载入的HTML文档内容 <br />这时load()方法的URL参数的语法结构为："url selector"，注意url和selector之间有一个空格。例如只需要加载test.html页面中class为"para"的内容，可以用$("#xxx").load("test.html .para"); <br />(2)、load()方法的回调函数的参数 <br />load()方法提供的回调函数有3个参数，分别代表请求返回的内容、请求状态和XMLHttpRequest对象，代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#("#resText").load("test.html", function(responseText, textStatus, XMLHttpRequest) { <br />//responseText : 请求返回的内容 <br />//textStatus : 请求状态: success、error、notmodified、timeout 4种 <br />//XMLHttpRequest ： XMLHttpRequest对象 <br />});</p>
<p>注意，在load()方法中，无论Ajax请求是否成功，只要当请求完成后(complete)后，回调函数(callback)就被触发。此对应$.ajax()方法中的complete回调函数。 <br /><strong>10、关于$.get()方法</strong> <br />(1)、只有当response的返回状态是success时才调用此方法的回调函数。 <br />(2)、此方法的回调函数有两个参数，分别是data即返回的内容(可以是XML文档、JSON文件、HTML片段等等)、textStatus即请求状态(success、error、notmodified、timeout这4种) <br />注意，$.post()方法与$.get()方法基本相同。 <br /><strong>11、关于内容选择器 <br /></strong>内容选择器:contains()选择符区分大小写。 <br />12、关于插件的通常写法</p>
<p><u>复制代码</u> 代码如下:</p>
<p>(function ($) { <br />$.fn.extend({ <br />"resize" : function (userOptions) { <br />var defaultOptions = {height:100, width:100}; <br />var mergeOptions = $.extend({}, defaultOptions, userOptions); <br />return this.each(function () { <br />$(this).animate(mergeOptions, "slow", function () { <br />$(this).fadeTo("slow", ".70") <br />}); <br />}); <br />} <br />}); <br />})(jQuery);</p>
<p>注意： <br />1、插件函数中的this一般只的是jQuery对象，例如第六行的this。但this.each中的this指的是DOM对象。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-10 07:22:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e6%b3%95/" title="语法">语法</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e6%84%8f%e4%ba%8b%e9%a1%b9/" title="注意事项">注意事项</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jquery 注意事项与常用语法小结_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6DQXM.html" rel="bookmark">jquery常用操作小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面load方法 $().ready(function() { }) div隐藏操作 // div是否隐藏 function isHideMenu(){ return $(&quot;#menuContent&quot;).is(&quot;:hidden&quot;) } // 隐藏div mainFrameset.hide(); // 显示div mainFrameset.show(); 获取对象 //通过id获得 $(&quot;#menuContent&quot;); //通过class获得 $(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr27Y6M.html" rel="bookmark">JQuery基础语法小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.$(document)将document对象转换为jquery 复制代码 代码如下: $(document).ready(function(){     alert(&quot;hello world&quot;); }); 2.获取所有的超链接对象,并且增加onclick事件:其实在底层jquery对象获得的每个标签的数组,因此我们不需要进行循环了 复制代码 代码如下: $(document).ready(function(){     $(&quot;a&quot;).click(function			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA72J2z.html" rel="bookmark">jQuery获取对象简单实现方法小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				监控一个容器,当用户点击时弹出 代码如下 $(function(){ $(&quot;Element&quot;).click{function(){ alert(&quot;点击我哦!&quot;); } } }); 基本对象获取(注意这里获取的都是Jquery对象而不是Dom对象哦,但是他俩是可以转换滴) 代码如下 复制代码 代码如下: $(&quot;*&quot;) '表示获取所有对象 但是我至今没这样用过 $(&quot;#XXX&quot;) '获得 id=XXX 的元素对象(id可以是标签的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOmv8b.html" rel="bookmark">jQuery实现的倒计时效果实例小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了jQuery实现的倒计时效果.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmnQRp.html" rel="bookmark">jQuery树形控件zTree使用小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0 zTree简介  树形控件的使用是应用开发过程中必不可少的.zTree 是一个依靠 jQuery 实现的多功能 &quot;树插件&quot;.优异的性能.灵活的配置.多种功能的组合是 zTree 最大优点.  0.0 zTree的特点 •最新版的zTree将核心代码按照功能进行了分割,不需要的代码可以不用加载,如普通使用只需要加载核心的jquery.ztree.core-3.5.js,需要使用勾选功能加载jquery.ztree.excheck-3.5.min.js,需要使用编辑功能加载jquery			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJ9yRp.html" rel="bookmark">jquery中的&dollar;&lpar;document&rpar;&period;ready&lpar;&rpar;使用小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window.onload = function(){ alert(&quot;welcome&quot;); }这样的写法作用是希望在页面加载完,自动执行定义js代码(function). $(document).ready(function(){.... })这个函数是用来取代页面中的window.onload; document.ready()和传统的方法&lt;body onload=&quot;load()&quot;&gt; 相似,不同的是onload()的方法是在页面加载完成后才发生,这包括			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk4j0p.html" rel="bookmark">jQuery的12招常用技巧分享&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.关于页面元素的引用 通过jQuery的$()引用元素包括通过id.class.元素名以及元素的层级关系及dom或者xpath条件等方法,且返回的对象为jQuery对象(集合对象),不能直接调用dom定义的方法. 2.jQuery对象与dom对象的转换 只有jQuery对象才能使用jQuery定义的方法.注意dom对象和jQuery对象是有区别的,调用方法时要注意操作的是dom对象还是jQuery对象.普通的dom对象一般可以通过$()转换成jQuery对象. 如:$(document.get			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZAjBb.html" rel="bookmark">基于jquery animate操作css样式属性小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天突然有网友问我animate()方法可以来操作所有css属性吗?是的,我告诉他可以的.不过,在此有需要注意点需要大家搞清楚:当使用 animate()时,必须使用 Camel 标记法书写所有的属性名,比如,必须使用 paddingLeft 而不是 padding-left,使用 marginRight而不是 margin-right,等等. css中的不是所有属性都可以用Jquery动画(animate函数)来动态改变,下面总结了JQ可以操作元素的一些属性: * backgroundPosi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2JXwz.html" rel="bookmark">jQuery插件开发的五种形态小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于jQuery插件的开发自己也做了少许研究,自己也写过多个插件,在自己的团队了也分享过一次关于插件的课.开始的时候整觉的很复杂的代码,现在再次看的时候就清晰了许多.这里我把我自己总结出来的东西分享出来,帮助那些和我一样曾经遇到过同样问题的人. 我要做什么 我想要得到的javascript 插件应该会有以下几个特征 代码相对独立 链式操作 插件可配置 有可操作的方法,插件的生命周期可控制 配置可被缓存 可扩展 无冲突处理 事件代理,动态初始化 * 以下的代码均假设存在 jQuery 插件的第一形			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeWrxM.html" rel="bookmark" class="title">关于java中字符编码的一点心得，可能对初学者有点帮助</a>
					<div>
						编码|初学|心得 这是张孝祥老师的java就业培训视频教程里面的一道题目有所变动编写下面的程序代码分析和观察程序的运行结果 import java.io.*;public class TestCode ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp57Z6b.html" rel="bookmark" class="title">李想是个人站长的榜样 如果换一个人&hellip;&hellip;</a>
					<div>
						最近盛传分众欲2000万美金收购泡泡网.李想予以否认. 2000万美金,应该承认,如果换一个人而不是李想,应该是个价码不低的诱惑. 因为,者名的中关村在线,卖给者名的CNET,价码是1560万美金.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2vmob.html" rel="bookmark" class="title">三个方面剖析百度权重是什么</a>
					<div>
						随着SEO行业的不断进步,行业竞争力度也开始越来越大,以前谷歌(GOOGLE) PR与网站主关键词排名是很多站长交换友情链接和评定一个网站好坏的重要依据.随着去年下半年站长工具开始显示百度权重以来,由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEXqZz.html" rel="bookmark" class="title">C&num;获取本地计算机名&comma;IP&comma;MAC地址</a>
					<div>
						using System;using System.Drawing;using System.Management;using System.Net;using System.Net.Sockets; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKnn3M.html" rel="bookmark" class="title">让Windows 7更节能省电的方法</a>
					<div>
						现在的高清视频容量越来越大,动辄几个GB,多则一部高清&lt;阿凡达&gt;就要46GB,还别说日益火热的高清连续剧.即使你家用的是2Mbps宽带网络,要下载这些&quot;大家伙&quot;,也要花 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAq4rb.html" rel="bookmark" class="title">利用Excel加载宏轻松提取身份证省份信息</a>
					<div>
						在建立企事业单位员工Excel表格过程中,员工的身份证号.所属省份.性别等信息都是必须要输入的.如果单位员工众多的话,相关个人信息的输入工作量无疑是相当大的.那么,我们能不能让繁琐的个人信息输入过程变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAax5AM.html" rel="bookmark" class="title">用WPS快速输入商标符号的四招妙计</a>
					<div>
						  在编辑文档的时总会遇到要输入商标符号,尤其是公司的文件.那么怎么输入商标符号呢?下面小编就为大家介绍几种输入商标符号的方法,大家可以从中选择一种方法来运用,一起来看看吧. WPS中上标法输入商标符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN177xb.html" rel="bookmark" class="title">无线路由器死机怎么办</a>
					<div>
						  作为无线组网中非常重要的设备,无线路由器的使用和调试,对于网络的使用质量尤为重要,虽然普通消费者对无线路由器了解甚少,但适当的了解一些基本常识也未尝不可,当在使用上遇到困难或故障时,可以靠自己来解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw81qp.html" rel="bookmark" class="title">win8&period;1下ie11无法输入网银密码怎么办？</a>
					<div>
						  我们在使用网银的时候我们都会下载一个&quot;网上银行登录安全控件&quot;,但据一些用户反映,安装成功以后依然显示&quot;您尚未安装密码安全控件或控件版本太低,请通过登录页面底部的链接下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oaRAb.html" rel="bookmark" class="title">千牛如何使用</a>
					<div>
						  第一步:我们先打开千牛,登陆你的旺旺账号(这个大家都会就不说了),打开这个界面是不是觉得这个工作台很漂亮呢? 第二步:打开这个工作台,你会看到他和阿里旺旺有很相同的地方,因为千牛这款软件除了内嵌有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKLqvb.html" rel="bookmark" class="title">耿俊强否认涉嫌贪污传BlogCN内部管理混乱</a>
					<div>
						[eNet硅谷动力消息]&quot;为什么不说5000万,而是500万.&quot; 今早BlogCN的原CEO耿俊强在接受ENET采访时戏言道,&quot;可能是提前过愚人节了吧.&quot;对于B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ze9Az.html" rel="bookmark" class="title">泛型-对于Java反射的安全性的一些疑问</a>
					<div>
						问题描述 对于Java反射的安全性的一些疑问 最近在看深入理解JVM,随手写了一点代码,有个问题不太理解. 代码如下: public static void main(String[] args) t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlJnXp.html" rel="bookmark" class="title">华为P8通知栏显示网速怎么设置？</a>
					<div>
						1)可能大家还不知道此功能就在华为P8自带的一个手机管家中吧,我们点点击桌面的[手机管家]然后我们再找到手机管家中的[流量管理]在进入到的界面下我们点击[套餐设置].(如下图)   2)在进入到华为P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0r94M.html" rel="bookmark" class="title">WebMagic 0&period;7&period;1 版本发布，Java 爬虫框架</a>
					<div>
						此次更新包含几个比较大的Bugfix,以及一些遗留问题的改进. 修复0.7.0引入的RedisScheduler无法使用的bug.#583 注解模式的JsonPath默认会指定source为RawTe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1roYrp.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;230&period;Kth Smallest Element in a BST</a>
					<div>
						题目 Given a binary search tree, write a function kthSmallest to find the kth smallest element in it.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmNgkM.html" rel="bookmark" class="title">axis2服务器端如何取得客户端的ip地址和mac地址</a>
					<div>
						问题描述 axis2服务器端如何取得客户端的ip地址和mac地址?我现在用的都是http协议的,理论上应该可以的呀! 解决方案 /** * 获取客户端IP地址,如调用方的IP,以便检查权限. * 适用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL2rLM.html" rel="bookmark" class="title">Win8&period;1电脑登录密码忘记怎么办&quest;</a>
					<div>
						1. 首先登录微软官网,点击网页底端的帮助与支持. 然后在如下界面,点我的账户或登录: 然后在登录界面,点击&quot;无法访问你的账户&quot;: 出现如下界面: 选择忘记密码,然后下一步,按屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Jg2z.html" rel="bookmark" class="title">自己写的文档&period;使用了下google的eclipse 插件开发gwt</a>
					<div>
						使用google的插件开发gwt还是比较有意思的. 还可以将自己的应用程序部署到google上面. gwt的开发不错. 附件下载.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eVk9b.html" rel="bookmark" class="title">急急急！Button中设置图片，且数组化</a>
					<div>
						问题描述 本人JAVA新手一名,正在编写一个关于记忆翻牌游戏的程序.遇到如下问题:关于如何在button插入图片,button设置成数组列表.且图片乃是随机出现的.不知如何下手,求高手赐教! 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwlE3M.html" rel="bookmark" class="title">MySQL 系统变量&lpar;system variables&rpar;</a>
					<div>
						    MySQL系统变量(system variables)实际上是一些系统参数,用于初始化或设定数据库对系统资源的占用,文件存放位置等等.这些个系统变量可以分为全局以及会话级别层面来修改,有些也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKRROz.html" rel="bookmark" class="title">用CC2010让企业通讯实现&OpenCurlyDoubleQuote;双模双待&rdquo;</a>
					<div>
						这是个竞争激烈的商业社会,信息每分每秒都在飞速传递,一步的滞后就可能失去了先机处于下风,而那些毫无预兆的突发事件,更将影响企业.在时间就是生命的经济背景下,时效往往是决定成败的一大关键,企业的通讯涉及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NRk6z.html" rel="bookmark" class="title">Node&period;js的项目构建工具Grunt的安装与配置教程&lowbar;node&period;js</a>
					<div>
						Grunt 基于 Node.js ,用 JS 开发,这样就可以借助 Node.js 实现跨系统跨平台的桌面端的操作,例如文件操作等等.此外,Grunt 以及它的插件们,都作为一个 包 ,可以用 NPM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1mYWb.html" rel="bookmark" class="title">mysql备份脚本以及删除前5天的备份文件&lowbar;Mysql</a>
					<div>
						复制代码 代码如下: USER=root #数据库用户名 PASSWORD=cucrzmysql #数据库用户密码 #DATABASE=idssr #数据库名称 for DATABASE in `ls ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkvBBp.html" rel="bookmark" class="title">如何使用headjs来管理和异步加载js&lowbar;javascript技巧</a>
					<div>
						现在有许多成熟的js模块加载器,比如requirejs和seajs等,但是对一些小的项目来说,它们的功能可能太过于&quot;强大&quot;,也许我们只是想要有一个能动态加载js的功能,或许我们只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7o2Db.html" rel="bookmark" class="title">JS密码生成与强度检测完整实例&lpar;附demo源码下载&rpar;&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS密码生成与强度检测的方法.分享给大家供大家参考,具体如下: 1. 生成强密码 截图如下: 相关代码如下: function getPwd(n) { var s = ''; while ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ23nqz.html" rel="bookmark" class="title">三星将在深圳合建液晶模组企业</a>
					<div>
						[本报讯] (记者 洪 宾)深圳完善的平板显示产业链和力争引进高世代线液晶面板项目落户的信息,强烈地吸引着国际液晶面板巨头的目光.在昨日下午举行的&quot;三星LCD技术研讨会&quot;上,三星有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl7Bqp.html" rel="bookmark" class="title">帮人刷额度欲赚500竟损失50万</a>
					<div>
						记者调查:仅靠资金转入转出无法提升信用卡额度,&quot;'洗洗钱'就能得回报&quot;都是骗局 □晨报记者 姚克勤 实习生 金婷 &quot;原本想赚500元,谁知眨眼间50万存款没了. &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5k10z.html" rel="bookmark" class="title">取得页面打印的字符串宽度高度</a>
					<div>
						问题描述 在Windows的SDK中,有GetTextExtentPoint32这个函数可以用来取得一个string在屏幕上打印的高度宽度.不知道java下如何处理,有没有类似的函数?随便说一下,我的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6VQAp.html" rel="bookmark" class="title">中国电子行业对今年销售增长态度乐观</a>
					<div>
						中新社深圳六月十六日电 (记者 郑小红)环球资源最新一项调查显示,近九成的中国内地电子元器件分销商预测今年度销售额将上升百分之十三,超过一半的受访电子产品制造商表示经济衰退对其业务没有构成影响或影响轻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvO7Xb.html" rel="bookmark" class="title">Windows 7 游戏无法全屏怎么办？游戏无法全屏如何解决？</a>
					<div>
						方法一,利用工具解决 1.百度搜索&quot;破解限制&quot; 然后在电脑中解压之后双击里面的 .exe文件,如下图所示. 方法二,利用手工设置解决(修改注册表) 1.在电脑键我们按下 windo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
